Index: data/branches/powerups/data.oxd
===================================================================
--- data/branches/powerups/data.oxd	(revision 3560)
+++ data/branches/powerups/data.oxd	(revision 3560)
@@ -0,0 +1,6 @@
+# This is orxonox' univariant DataRepository.
+# in here all the system-independant Data for
+# the game are stored
+
+#currently at Revision:
+$Rev$
Index: data/branches/powerups/fonts/accidental_presidency.license
===================================================================
--- data/branches/powerups/fonts/accidental_presidency.license	(revision 3560)
+++ data/branches/powerups/fonts/accidental_presidency.license	(revision 3560)
@@ -0,0 +1,21 @@
+T E P I D   M O N K E Y   F O N T S
+freeware fonts for a freeware world
+
+- http://www.tepidmonkey.com/
+- brandon@tepidmonkey.com
+
+Thanks for downloading a Tepid Monkey 
+Fonts typeface! For help with installing 
+the font, visit the Help area of 
+Tepid Monkey Fonts (www.tepidmonkey.com).
+
+The terms of use are basically this:
+don't sell the font, don't change the
+font but do feel free to use the font
+freely for commercial and non-commercial
+purposes. For a complete list of the
+terms (which always takes precedence
+over this anyway), visit the Terms
+section of Tepid Monkey Fonts.
+
+--Brandon Schoepf
Index: data/branches/powerups/fonts/alpha_sentry.license
===================================================================
--- data/branches/powerups/fonts/alpha_sentry.license	(revision 3560)
+++ data/branches/powerups/fonts/alpha_sentry.license	(revision 3560)
@@ -0,0 +1,8 @@
+Alpha Sentry Truetype Font for Windows v2
+
+2003 Iconian Fonts - Daniel Zadorozny
+http://www.iconian.com
+
+This font may be freely distributed and is free for all non-commercial uses.  This font is e-mailware; that is, if you like it, please e-mail the author at:
+
+iconian@aol.com
Index: data/branches/powerups/fonts/as_seen_on_tv.license
===================================================================
--- data/branches/powerups/fonts/as_seen_on_tv.license	(revision 3560)
+++ data/branches/powerups/fonts/as_seen_on_tv.license	(revision 3560)
@@ -0,0 +1,14 @@
+Thank you for downloading this font!
+
+This font is copyright (c) Jakob Fischer at www.pizzadude.dk,  all rights reserved. Do not distribute without the author's permission.
+
+Use this font for non-commercial use only! If you plan to use it for commercial purposes, contact me before doing so!
+
+
+For more original fonts take a look at www.pizzadude.dk
+
+Have fun and enjoy!
+
+Jakob Fischer
+jakob@pizzadude.dk
+www.pizzadude.dk
Index: data/branches/powerups/fonts/dark_crystal.license
===================================================================
--- data/branches/powerups/fonts/dark_crystal.license	(revision 3560)
+++ data/branches/powerups/fonts/dark_crystal.license	(revision 3560)
@@ -0,0 +1,16 @@
+TrueTypeFont: Dark Crystal (Outline)
+Dennis Ludlow 2001 all rights reserved
+Sharkshock Productions
+maddhatter_dl@yahoo.com
+
+Hey there everyone. A long time in the making, many years of renting, and 30 requests later,
+you asked for a font that paid tribute to one of the most memorable Jim Henson movies
+ever made; and now i proudly give you the Dark Crystal. A few things about this font here: 
+First of all, it should NOT be used for data purposes because most almost all the symbols are
+not present. Additionally, do not use this font in ALL CAPS because you're just asking for
+trouble. You will find that if you hit the colon and semicolon, you can spell out the Dark Crystal
+in two different weights. This has been my most difficult font so far and it's nearly 8:42 in the morning
+(i starting working on this at 9pm) If you love the movie, and you like the font, please email
+me simply let me know. Im a sucker for flattery :-) Take care everyone.
+check out my graphic archive at www.sharkshock.uni.cc
+                                  "because boring design SUCKS!"
Index: data/branches/powerups/fonts/refluxed.license
===================================================================
--- data/branches/powerups/fonts/refluxed.license	(revision 3560)
+++ data/branches/powerups/fonts/refluxed.license	(revision 3560)
@@ -0,0 +1,13 @@
+Refluxed is a freefont ,
+I dont expect to get paid since most of you
+downloaders wouldn't even send the money anyway 
+(I know I wouldn't)
+This is but one of many new fonts to be put out by
+PETROGLYHIC DESIGN 
+http://www2.cybernex.net/~headpeon
+and very soon 
+http://www.headpeon.com 
+Check up on me regularly , all my fonts will always be 
+free...unless you pay me a truckload of money ( then its your's babe)
+*****Refluxed is inspired by logo on reflux an interactive comic book ***********
+*****This font is free for personal use but any commercial use , you will need my written permission ***
Index: data/branches/powerups/fonts/stalker.license
===================================================================
--- data/branches/powerups/fonts/stalker.license	(revision 3560)
+++ data/branches/powerups/fonts/stalker.license	(revision 3560)
@@ -0,0 +1,45 @@
+st@lker1.ttf is a design TrueType Font
+By HotMind (C) 1997
+Size: 40K
+
+st@lker2.ttf is a typewriter TrueType Font
+By HotMind (C) 1997
+Size: 38K
+
+
+
+			       hmfont1.zip
+                              TrueType Font
+                               For Windows
+                                Version 1
+=========================================================================
+                            (C) 1997 HOTMIND http://www.hotmind.com
+
+This is "FreeWare" freely distributable.
+
+-------------------------------------------------------------------------
+
+INSTALLATION OF 2 HOTMIND FREE FONTS
+
+st@lker1.ttf is a design TrueType Font
+st@lker2.ttf is a typewriter TrueType Font
+
+For TrueType installation:
+
+Windows 3.1: Open the control panel. Double-click on Fonts.Choose Add. Go to the directory where
+you saved the fonts. The name "st@lker1.ttf" and "st@lker2.ttf" will appear. Choose both. Click on Add.
+
+Windows 95: Drag the font files into your \windows\system folder. or Press Start, then click on
+Settings. Click on the Control Panel. Double click on "Fonts." Choose File/Install new Font... then select the directory where you saved the fonts, select "st@lker1.ttf" and "st@lker2.ttf" and press OK.
+
+
+-------------------------------------------------------------------------
+
+* For PRODUCT LICENSE AGREEMENT read: "__readme.htm"
+
+** Contact us at support@hotmind.com
+
+*** Visit HotMind Web site: http://www.hotmind.com
+
+**** Discover NET ST@LKER tm the great internet game at http://www.hotmind.com/netstlk1.htm
+
Index: data/branches/powerups/models/environments/christmas.mtl
===================================================================
--- data/branches/powerups/models/environments/christmas.mtl	(revision 3560)
+++ data/branches/powerups/models/environments/christmas.mtl	(revision 3560)
@@ -0,0 +1,67 @@
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.57 0.57 0.57
+Tf 1.00 1.00 1.00
+map_Kd snow_rubble_512x512.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl pasted__lambert4SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd bark016.jpg
+Ni 1.00
+newmtl pasted__pasted__lambert4SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd bark016.jpg
+Ni 1.00
+newmtl pasted__s_ast3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd fichte_ast10_snow2.tga
+Ni 1.00
+newmtl s_ast3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.87 0.87 0.87
+Tf 1.00 1.00 1.00
+map_Kd fichte_ast10_snow2.tga
+Ni 1.00
+newmtl zukero_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd red-white.jpg
+Ni 1.00
Index: data/branches/powerups/models/environments/christmas_vegetation.mtl
===================================================================
--- data/branches/powerups/models/environments/christmas_vegetation.mtl	(revision 3560)
+++ data/branches/powerups/models/environments/christmas_vegetation.mtl	(revision 3560)
@@ -0,0 +1,81 @@
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.57 0.57 0.57
+Tf 1.00 1.00 1.00
+map_Kd snow_rubble_512x512.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd snow_rubble_512x512.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.24 0.24 0.24
+Tf 1.00 1.00 1.00
+map_Kd snow_muddy_512x512.jpg
+Ni 1.00
+newmtl leckerkuchenhaus_blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+map_Kd bricks_wood.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+map_Kd stucco.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl leckerkuchenhaus_blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+map_Kd wood_knorr.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl pasted__lambert4SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd bark016.jpg
+Ni 1.00
+newmtl pasted__pasted__lambert4SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd bark016.jpg
+Ni 1.00
+newmtl pasted__s_ast3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd fichte_ast10_snow2.tga
+Ni 1.00
+newmtl s_ast3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.87 0.87 0.87
+Tf 1.00 1.00 1.00
+map_Kd fichte_ast10_snow2.tga
+Ni 1.00
+newmtl zukero_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd red-white.jpg
+Ni 1.00
Index: data/branches/powerups/models/ground_turret.mtl
===================================================================
--- data/branches/powerups/models/ground_turret.mtl	(revision 3560)
+++ data/branches/powerups/models/ground_turret.mtl	(revision 3560)
@@ -0,0 +1,12 @@
+newmtl initialShadingGroup
+illum 4
+Kd 1.00 1.00 0.00
+Ka 0.50 0.50 0.50
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/branches/powerups/models/guns/cannon.mtl
===================================================================
--- data/branches/powerups/models/guns/cannon.mtl	(revision 3560)
+++ data/branches/powerups/models/guns/cannon.mtl	(revision 3560)
@@ -0,0 +1,34 @@
+newmtl blinn1SG
+illum 4
+Kd 1.00 0.00 0.05
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 1.00 0.21
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.06 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
Index: data/branches/powerups/models/guns/test_gun.mtl
===================================================================
--- data/branches/powerups/models/guns/test_gun.mtl	(revision 3560)
+++ data/branches/powerups/models/guns/test_gun.mtl	(revision 3560)
@@ -0,0 +1,122 @@
+newmtl Back
+illum 4
+Kd 1.00 0.13 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Fenetre
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.18 1.00
+Ns 0.06
+newmtl Fire
+illum 4
+Kd 0.00 0.98 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl Head_Pad
+illum 4
+Kd 0.00 0.02 0.45
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Lower_Pads
+illum 4
+Kd 0.00 0.37 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Middle_pads
+illum 4
+Kd 0.00 0.20 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Schnitze
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Top_Pads1
+illum 4
+Kd 0.00 0.01 0.47
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_Top_pads
+illum 4
+Kd 0.12 0.02 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl Wing_lower_pads
+illum 4
+Kd 0.00 0.55 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG1
+illum 4
+Kd 1.00 1.00 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl lambert2SG3
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl lambert10SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/branches/powerups/models/guns/turret1.mtl
===================================================================
--- data/branches/powerups/models/guns/turret1.mtl	(revision 3560)
+++ data/branches/powerups/models/guns/turret1.mtl	(revision 3560)
@@ -0,0 +1,29 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 1.00 0.93 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd orxonox-rocket.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/models/guns/turret2.mtl
===================================================================
--- data/branches/powerups/models/guns/turret2.mtl	(revision 3560)
+++ data/branches/powerups/models/guns/turret2.mtl	(revision 3560)
@@ -0,0 +1,21 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.50 0.45 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.98 0.98 0.98
+newmtl blinn3SG
+illum 4
+Kd 1.00 0.06 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/models/projectiles/RadioActiveBomb.mtl
===================================================================
--- data/branches/powerups/models/projectiles/RadioActiveBomb.mtl	(revision 3560)
+++ data/branches/powerups/models/projectiles/RadioActiveBomb.mtl	(revision 3560)
@@ -0,0 +1,22 @@
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.64 0.64 0.64
+Tf 1.00 1.00 1.00
+map_Kd RadioActive_Bomb.jpg
+Ni 1.00
+Ks 0.82 0.82 0.82
+newmtl blinn4SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn5SG
+illum 4
+Kd 1.00 0.00 0.02
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/models/projectiles/Rocket1.mtl
===================================================================
--- data/branches/powerups/models/projectiles/Rocket1.mtl	(revision 3560)
+++ data/branches/powerups/models/projectiles/Rocket1.mtl	(revision 3560)
@@ -0,0 +1,12 @@
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
Index: data/branches/powerups/models/projectiles/laser.mtl
===================================================================
--- data/branches/powerups/models/projectiles/laser.mtl	(revision 3560)
+++ data/branches/powerups/models/projectiles/laser.mtl	(revision 3560)
@@ -0,0 +1,7 @@
+newmtl initialShadingGroup
+illum 4
+Kd 1.0 1.0 0.0
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+map_Kd maps/radialTransparency.png
Index: data/branches/powerups/models/projectiles/orx-rocket.mtl
===================================================================
--- data/branches/powerups/models/projectiles/orx-rocket.mtl	(revision 3560)
+++ data/branches/powerups/models/projectiles/orx-rocket.mtl	(revision 3560)
@@ -0,0 +1,15 @@
+newmtl Fire
+illum 4
+Kd 1.00 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Ground
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd orxonox-rocket.jpg
+Ni 1.00
+Ks 1.00 0.30 0.06
Index: data/branches/powerups/models/projectiles/test_projectile.mtl
===================================================================
--- data/branches/powerups/models/projectiles/test_projectile.mtl	(revision 3560)
+++ data/branches/powerups/models/projectiles/test_projectile.mtl	(revision 3560)
@@ -0,0 +1,8 @@
+newmtl initialShadingGroup1
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
Index: data/branches/powerups/models/ships/bolido.mtl
===================================================================
--- data/branches/powerups/models/ships/bolido.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/bolido.mtl	(revision 3560)
@@ -0,0 +1,21 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.09 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.75 0.10
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/models/ships/fighter.mtl
===================================================================
--- data/branches/powerups/models/ships/fighter.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/fighter.mtl	(revision 3560)
@@ -0,0 +1,56 @@
+newmtl Back
+illum 4
+Kd 1.00 0.13 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Cocpit
+illum 4
+Kd 0.00 0.66 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Front_Pads
+illum 4
+Kd 0.61 0.23 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Head_down
+illum 4
+Kd 0.81 0.38 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Pad_down
+illum 4
+Kd 0.50 0.17 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_down_in
+illum 4
+Kd 1.00 0.47 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/models/ships/gobblin.mtl
===================================================================
--- data/branches/powerups/models/ships/gobblin.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/gobblin.mtl	(revision 3560)
@@ -0,0 +1,26 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.50 0.48
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.50 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert3SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/branches/powerups/models/ships/helicopter.mtl
===================================================================
--- data/branches/powerups/models/ships/helicopter.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/helicopter.mtl	(revision 3560)
@@ -0,0 +1,48 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.28 1.00
+newmtl blinn2SG
+illum 4
+Kd 1.00 0.00 0.05
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 1.00 0.01
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 1.00 0.96 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn5SG
+illum 4
+Kd 0.14 0.17 0.17
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 1.00 1.00 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 1.00 0.00 0.01
+newmtl lambert3SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/branches/powerups/models/ships/reap.mtl
===================================================================
--- data/branches/powerups/models/ships/reap.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/reap.mtl	(revision 3560)
@@ -0,0 +1,74 @@
+newmtl Fenetre
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.18 1.00
+newmtl Fire
+illum 4
+Kd 0.00 0.98 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl Head_Pad
+illum 4
+Kd 0.00 0.02 0.45
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Lower_Pads
+illum 4
+Kd 0.00 0.37 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Middle_pads
+illum 4
+Kd 0.00 0.20 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Schnitze
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Top_Pads1
+illum 4
+Kd 0.00 0.01 0.47
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_Top_pads
+illum 4
+Kd 0.12 0.02 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl Wing_lower_pads
+illum 4
+Kd 0.00 0.55 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert2SG
+illum 4
+Kd 1.00 1.00 1.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert5SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
Index: data/branches/powerups/models/ships/test.mtl
===================================================================
--- data/branches/powerups/models/ships/test.mtl	(revision 3560)
+++ data/branches/powerups/models/ships/test.mtl	(revision 3560)
@@ -0,0 +1,6 @@
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
Index: data/branches/powerups/models/vulcanic_stone.mtl
===================================================================
--- data/branches/powerups/models/vulcanic_stone.mtl	(revision 3560)
+++ data/branches/powerups/models/vulcanic_stone.mtl	(revision 3560)
@@ -0,0 +1,8 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 0.50
+Tf 1.00 1.00 1.00
+map_Kd volcanic.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/branches/powerups/shaders/bump.frag
===================================================================
--- data/branches/powerups/shaders/bump.frag	(revision 3560)
+++ data/branches/powerups/shaders/bump.frag	(revision 3560)
@@ -0,0 +1,19 @@
+ uniform sampler2D BumpTex; //The bump-map 
+ uniform sampler2D DecalTex; //The texture
+ varying vec4 passcolor; //Receiving the vertex color from the vertex shader
+ varying vec3 LightDir; //Receiving the transformed light direction 
+ void main() 
+ {
+   //Get the color of the bump-map
+   vec3 BumpNorm = vec3(texture2D(BumpTex, gl_TexCoord[0].xy));
+   //Get the color of the texture
+   vec3 DecalCol = vec3(texture2D(DecalTex, gl_TexCoord[0].xy));
+   //Expand the bump-map into a normalized unsigned vector float
+   BumpNorm = (BumpNorm -0.5) * 2.0;
+   //Find the dot product between the light direction and the normal
+   NdotL = max(dot(BumpNorm, LightDir), 0.0);
+   //Calculate the final color gl_FragColor
+   vec3 diffuse = NdotL * passcolor.xyz * DecalCol;
+   //Set the color of the fragment...  If you want specular lighting or other types add it here
+   vec4(diffuse, passcolor.w);
+ }
Index: data/branches/powerups/shaders/bump.vert
===================================================================
--- data/branches/powerups/shaders/bump.vert	(revision 3560)
+++ data/branches/powerups/shaders/bump.vert	(revision 3560)
@@ -0,0 +1,20 @@
+ varying vec4 passcolor; //The vertex color passed
+ varying vec3 LightDir; //The transformed light direction, to pass to the fragment shader
+ attribute vec3 tangent; //The inverse tangent to the geometry
+ attribute vec3 binormal; //The inverse binormal to the geometry
+ uniform vec3 lightdir; //The direction the light is shining
+ void main() 
+ {
+   //Put the color in a varying variable
+   passcolor = gl_Color;
+   //Put the vertex in the position passed
+   gl_Position = ftransform(); 
+   //Construct a 3x3 matrix from the geometry\u2019s inverse tangent, binormal, and normal
+   mat3 rotmat = mat3(tangent,binormal,gl_Normal);
+   //Rotate the light into tangent space
+   LightDir = rotmat * normalize(lightdir);
+   //Normalize the light
+   normalize(LightDir); 
+   //Use the first set of texture coordinates in the fragment shader 
+   gl_TexCoord[0] = gl_MultiTexCoord0;
+ }
Index: data/branches/powerups/shaders/cel.frag
===================================================================
--- data/branches/powerups/shaders/cel.frag	(revision 3560)
+++ data/branches/powerups/shaders/cel.frag	(revision 3560)
@@ -0,0 +1,11 @@
+uniform sampler1D CelShade;
+
+varying vec3 lVec;
+varying vec3 norm;
+
+void main(){
+        vec3 lightVec = normalize(lVec);
+        float diffuse = dot(lightVec, norm);
+
+        gl_FragColor = texture1D(CelShade, diffuse);
+}
Index: data/branches/powerups/shaders/cel.vert
===================================================================
--- data/branches/powerups/shaders/cel.vert	(revision 3560)
+++ data/branches/powerups/shaders/cel.vert	(revision 3560)
@@ -0,0 +1,11 @@
+uniform vec3 lightPos;
+
+varying vec3 lVec;
+varying vec3 norm;
+
+void main(){
+        gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
+
+        lVec = lightPos - gl_Vertex.xyz;
+        norm = gl_Normal;
+}
Index: data/branches/powerups/shaders/outile.frag
===================================================================
--- data/branches/powerups/shaders/outile.frag	(revision 3560)
+++ data/branches/powerups/shaders/outile.frag	(revision 3560)
@@ -0,0 +1,5 @@
+varying vec3 norm;
+
+void main(){
+        gl_FragColor = vec4(0.0);
+}
Index: data/branches/powerups/shaders/outile.vert
===================================================================
--- data/branches/powerups/shaders/outile.vert	(revision 3560)
+++ data/branches/powerups/shaders/outile.vert	(revision 3560)
@@ -0,0 +1,18 @@
+
+uniform vec3 camPos;
+uniform float outlineThreshold;
+uniform float edgeThreshold;
+
+varying vec3 norm;
+
+void main(){
+        vec4 pos = gl_Vertex;
+    vec3 dir = camPos - gl_Vertex.xyz;
+
+        pos.w = float(
+                dot(dir, gl_MultiTexCoord0.xyz) * dot(dir, gl_MultiTexCoord1.xyz) < outlineThreshold ||
+                dot(gl_MultiTexCoord0.xyz, gl_MultiTexCoord1.xyz) < edgeThreshold);
+
+        gl_Position = gl_ModelViewProjectionMatrix * pos;
+}
+
Index: data/branches/powerups/shaders/toon.frag
===================================================================
--- data/branches/powerups/shaders/toon.frag	(revision 3560)
+++ data/branches/powerups/shaders/toon.frag	(revision 3560)
@@ -0,0 +1,26 @@
+// simple toon fragment shader
+// www.lighthouse3d.com
+
+varying vec3 normal, lightDir;
+
+void main()
+{
+	float intensity;
+	vec3 n;
+	vec4 color;
+
+	n = normalize(normal);
+	intensity = max(dot(lightDir,n),0.0); 
+
+/*	if (intensity > 0.98)
+		color = vec4(0.8,0.8,0.8,1.0);
+	else if (intensity > 0.5)
+		color = vec4(0.8,0.4,0.4,1.0);	
+	else if (intensity > 0.25)
+		color = vec4(0.4,0.2,0.2,1.0);
+	else*/
+		color = vec4(normal,1.0);
+ //vec4(0.1,0.1,0.1,1.0);		
+		
+	gl_FragColor = color;
+}
Index: data/branches/powerups/shaders/toon.vert
===================================================================
--- data/branches/powerups/shaders/toon.vert	(revision 3560)
+++ data/branches/powerups/shaders/toon.vert	(revision 3560)
@@ -0,0 +1,13 @@
+// simple toon vertex shader
+// www.lighthouse3d.com
+
+
+varying vec3 normal, lightDir;
+
+void main()
+{	
+	lightDir = normalize(vec3(gl_LightSource[0].position));
+	normal = normalize(gl_NormalMatrix * gl_Normal);
+		
+	gl_Position = ftransform();
+}
Index: data/branches/powerups/shaders/water.frag
===================================================================
--- data/branches/powerups/shaders/water.frag	(revision 3560)
+++ data/branches/powerups/shaders/water.frag	(revision 3560)
@@ -0,0 +1,24 @@
+sampler Tex: register(s0);
+sampler Env: register(s1);
+float off;
+
+float4 main(float2 texCoord: TEXCOORD0, float3 viewVec: TEXCOORD1) : COLOR {
+        const float4 waterColor = float4(0.3, 0.4, 1.0, 0.0);
+
+        float4 s = tex2D(Tex, texCoord) - 0.5;
+        float sobelX = s.z;
+        float sobelY = s.w;
+
+        float3 normal = float3(sobelX, 0.04, sobelY);
+
+        normal  = normalize(normal);
+        viewVec = normalize(viewVec);
+
+        float3 reflVec = reflect(viewVec, normal);
+        float4 refl = texCUBE(Env, reflVec) * 0.9;
+
+        float3 refrVec = refract(viewVec, normal, 0.85);
+        float4 refr = texCUBE(Env, refrVec) * waterColor;
+
+        return lerp(refl, refr, -dot(viewVec, normal));
+}
Index: data/branches/powerups/shaders/water.vert
===================================================================
--- data/branches/powerups/shaders/water.vert	(revision 3560)
+++ data/branches/powerups/shaders/water.vert	(revision 3560)
@@ -0,0 +1,21 @@
+
+float4x4 view_proj_matrix;
+float3 camPos;
+
+struct VS_OUTPUT {
+   float4 Pos: POSITION;
+   float2 texCoord: TEXCOORD0;
+   float3 viewVec:  TEXCOORD1;
+};
+
+VS_OUTPUT main(float4 pos: POSITION, float2 texCoord: TEXCOORD0){
+   VS_OUTPUT Out;
+
+   Out.Pos = mul(view_proj_matrix, pos);
+   Out.texCoord = texCoord;
+   Out.viewVec = pos - camPos;
+
+   return Out;
+}
+
+
Index: data/branches/powerups/worlds/DefaultCampaign.oxc
===================================================================
--- data/branches/powerups/worlds/DefaultCampaign.oxc	(revision 3560)
+++ data/branches/powerups/worlds/DefaultCampaign.oxc	(revision 3560)
@@ -0,0 +1,32 @@
+<Campaign>
+  <name>default</name>
+  <identifier>666</identifier>
+  <description>The one and only default debug campaign</description>
+  <WorldList>
+    <SinglePlayerWorld>
+      <identifier>0</identifier>
+      <nextid>1</nextid>
+      <path>worlds/Straight.oxw</path>
+    </SinglePlayerWorld>
+    <SinglePlayerWorld>
+      <identifier>1</identifier>
+      <nextid>2</nextid>
+      <path>worlds/christmas.oxw</path>
+    </SinglePlayerWorld>
+    <SinglePlayerWorld>
+      <identifier>2</identifier>
+      <nextid>3</nextid>
+      <path>worlds/DefaultWorld.oxw</path>
+    </SinglePlayerWorld>
+    <SinglePlayerWorld>
+      <identifier>3</identifier>
+      <nextid>4</nextid>
+      <path>worlds/vulcania.oxw</path>
+    </SinglePlayerWorld>
+    <SinglePlayerWorld>
+      <identifier>4</identifier>
+      <nextid>999</nextid>
+      <path>worlds/World2.oxw</path>
+    </SinglePlayerWorld>
+  </WorldList>
+</Campaign>
Index: data/branches/powerups/worlds/DefaultNetworkCampaign.oxc
===================================================================
--- data/branches/powerups/worlds/DefaultNetworkCampaign.oxc	(revision 3560)
+++ data/branches/powerups/worlds/DefaultNetworkCampaign.oxc	(revision 3560)
@@ -0,0 +1,17 @@
+<Campaign>
+  <name>default</name>
+  <identifier>666</identifier>
+  <description>The one and only default debug campaign</description>
+  <WorldList>
+    <MultiPlayerWorld>
+      <identifier>0</identifier>
+      <nextid>1</nextid>
+      <path>worlds/Straight.oxw</path>
+    </MultiPlayerWorld>
+    <MultiPlayerWorld>
+      <identifier>1</identifier>
+      <nextid>2</nextid>
+      <path>worlds/DefaultWorld.oxw</path>
+    </MultiPlayerWorld>
+  </WorldList>
+</Campaign>
Index: data/branches/powerups/worlds/DefaultWorld.oxw
===================================================================
--- data/branches/powerups/worlds/DefaultWorld.oxw	(revision 3560)
+++ data/branches/powerups/worlds/DefaultWorld.oxw	(revision 3560)
@@ -0,0 +1,76 @@
+<WorldDataFile>
+  <name>NULLWORLD</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>5</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
+    </SpaceShip>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/environ.obj</model>
+    </Terrain>
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,0,0</Point>
+   <Point>350,50,0</Point>
+   <SavePoint/>
+   <Point>700,50,0</Point>
+   <Duration>7</Duration>
+   <Fork>Desert,Metal</Fork>
+
+   <WorkOn>Desert</WorkOn>
+   <Point>1000,50,0</Point>
+   <Point>1300,50,-400</Point>
+   <Point>2300,50,-400</Point>
+   <Point>3000,50,-250</Point>
+   <Point>3700,50,0</Point>
+   <Point>4400,50,100</Point>
+   <Point>5000,50,90</Point>
+   <Duration>10</Duration>
+
+   <WorkOn>Metal</WorkOn>
+   <Point>1000,50,0</Point>
+   <Point>1400,150,500</Point>
+   <Point>2000,100,750</Point>
+   <Point>2300,140,1000</Point>
+   <Point>2600,150,1100</Point>
+   <Duration>8</Duration>
+   <SavePoint>City</SavePoint>
+   <WorkOn>City</WorkOn>
+   <Point>2700,200,1150</Point>
+   <Point>3000,200,1130</Point>
+   <Point>3100,200,1150</Point>
+   <Point>3200,200,1150</Point>
+   <Point>3300,200,1140</Point>
+   <Point>3400,200,1130</Point>
+   <Point>3800,120,1000</Point>
+   <Point>4200,1500,750</Point>
+   <Duration>8</Duration>
+   <Join>Desert,City</Join>
+ </Track>
+</WorldDataFile>
Index: data/branches/powerups/worlds/Straight.oxw
===================================================================
--- data/branches/powerups/worlds/Straight.oxw	(revision 3560)
+++ data/branches/powerups/worlds/Straight.oxw	(revision 3560)
@@ -0,0 +1,110 @@
+<WorldDataFile>
+  <name>Straight</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/reap_#.obj</model>
+    </SpaceShip>
+    <MovieEntity>
+	<abs-coor>360,50,0</abs-coor>
+	<name>media/crash.mpg</name>
+	<axis>90</axis>
+	<size>30,22</size>
+    </MovieEntity>
+    <ParamPowerUp>
+      <abs-coor>300,50,0</abs-coor>
+    </ParamPowerUp>
+    <TurretPowerUp>
+      <abs-coor>310,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>320,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>330,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3000,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3010,50,0</abs-coor>
+   </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3020,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3030,50,0</abs-coor>
+    </TurretPowerUp>
+    <TurretPowerUp>
+      <abs-coor>3040,50,0</abs-coor>
+    </TurretPowerUp>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+    <Water>
+      <size>20,20</size>
+      <resolution>50,50</resolution>
+      <height>10</height>
+    </Water>
+
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/environ.obj</model>
+      <abs-coor>0,0,100</abs-coor>
+    </Terrain>
+
+<!-- NEW GROUND TURRET BEGIN -->
+    <GroundTurret>
+      <abs-coor>1005,0,-50</abs-coor>
+      <weapon-right>
+        <Turret>
+         <model>models/guns/turret2.obj,10.0</model>
+        </Turret>
+      </weapon-right>
+      <weapon-left>
+       <AimingTurret>
+        <model>models/guns/turret1.obj,10.0</model>
+       </AimingTurret>
+      </weapon-left>
+     </GroundTurret>
+<!-- NEW GROUND TURRET END -->
+
+    <GroundTurret>
+      <abs-coor>1500,0,20</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>400,0,0</abs-coor>
+    </GroundTurret>
+    <GroundTurret>
+      <abs-coor>700,0,-40</abs-coor>
+    </GroundTurret>
+  </WorldEntities>
+    <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,50,0</Point>
+   <Point>5000,50,0</Point>
+   <Duration>100</Duration>
+   <SavePoint/>
+ </Track>
+</WorldDataFile>
Index: data/branches/powerups/worlds/World2.oxw
===================================================================
--- data/branches/powerups/worlds/World2.oxw	(revision 3560)
+++ data/branches/powerups/worlds/World2.oxw	(revision 3560)
@@ -0,0 +1,79 @@
+<WorldDataFile>
+  <name>NULLWORLD</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/sky/skybox_right.jpg</BackgroundImage>
+
+    <ElementCount>5</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+  </LoadScreen>
+  <WorldEntities>
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/ships/fighter.obj</model>
+    </SpaceShip>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>1000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>Terrain</name>
+      <model>worlds/newGround.obj</model>
+    </Terrain>
+  </WorldEntities>
+  <Track>
+     <Point>150,-35,5</Point>
+     <Point>200,-35,5</Point>
+     <Point>250,-35,5</Point>
+     <Point>320,-33,-.55</Point>
+     <Duration>3</Duration>
+     <SavePoint>test</SavePoint>
+
+      <Point>410,0,0</Point>
+      <Point>510,20,-10</Point>
+      <Point>550,20,-10</Point>
+      <Point>570,20,-10</Point>
+      <Duration>5</Duration>
+
+      <Fork>testFork1,testFork2</Fork>
+      <WorkOn>testFork1</WorkOn>
+      <Point>640,25,-30</Point>
+      <Point>700,40,-120</Point>
+      <Point>800,50,-150</Point>
+      <Point>900,60,-100</Point>
+      <Point>900,60,-70</Point>
+      <Point>990,65,-15</Point>
+      <Point>1050,65,-10</Point>
+      <Point>1100,65,-20</Point>
+      <Duration>8</Duration>
+
+      <WorkOn>testFork2</WorkOn>
+      <Point>640,25,20</Point>
+      <Point>670,50,120</Point>
+      <Point>700,70,80</Point>
+      <Point>800,70,65</Point>
+      <Point>850,65,65</Point>
+      <Point>920,35,40</Point>
+      <Point>945,40,40</Point>
+      <Point>970,24,40</Point>
+      <Point>1000,40,-7</Point>
+      <Duration>8</Duration>
+
+
+      <Join>testFork1,testFork2</Join>
+
+      <Point>1200,60,-50</Point>
+      <Point>1300,50,-50</Point>
+      <Point>1400,40,-50</Point>
+      <Point>1500,40,-60</Point>
+      <Point>1600,35,-55</Point>
+      <Point>1700,45,-40</Point>
+      <Point>1750,60,-40</Point>
+      <Point>1770,80,-40</Point>
+      <Point>1800,100,-40</Point>
+      <Duration>10</Duration>
+ </Track>
+</WorldDataFile>
+
Index: data/branches/powerups/worlds/christmas.oxw
===================================================================
--- data/branches/powerups/worlds/christmas.oxw	(revision 3560)
+++ data/branches/powerups/worlds/christmas.oxw	(revision 3560)
@@ -0,0 +1,175 @@
+<WorldDataFile>
+  <name>Straight</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen_christmas.png</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar_christmas.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <MD2Creature>
+      <name>Player</name>
+      <abs-coor>10,0,10</abs-coor>
+      <md2texture>droidika.png</md2texture>
+      <model>models/creatures/droidika.md2</model>
+    </MD2Creature>
+    <SpaceShip>
+      <name>SpaceShip</name>
+      <model>models/ships/fighter.obj</model>
+      <abs-coor>-319,0,-404</abs-coor>
+    </SpaceShip>
+    <Helicopter>
+     <name>Heli</name>
+     <abs-coor>-0,50,0</abs-coor>
+     </Helicopter>
+    <TestEntity>
+      <abs-coor>-40,0,-80</abs-coor>
+      <abs-dir>0,0,20</abs-dir>
+      <md2texture>santa_claus.png</md2texture>
+      <model>models/creatures/santa_claus.md2</model>
+      <md2animation>9</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-20,0,-80</abs-coor>
+      <abs-dir>-30,0,0</abs-dir>
+      <md2texture>ogro.png</md2texture>
+      <model>models/creatures/ogro.md2</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+   <TestEntity>
+      <abs-coor>-100,-3,-200</abs-coor>
+      <abs-dir>-1,0,0</abs-dir>
+      <md2texture>soundwave.png</md2texture>
+      <model>models/creatures/soundwave.md2</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-22,-0,-74</abs-coor>
+      <abs-dir>180,0,0</abs-dir>
+      <md2texture>centaur.png</md2texture>
+      <model>models/creatures/centaur.md2</model>
+      <md2animation>10</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-10,0,4</abs-coor>
+      <md2texture>frosty.png</md2texture>
+      <model>models/creatures/frosty.md2</model>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-12,0,7</abs-coor>
+      <md2texture>pogo_bunny.png</md2texture>
+      <model>models/creatures/pogo_buny.md2</model>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>0,0,-80</abs-coor>
+      <abs-dir>-90,0,0</abs-dir>
+      <md2texture>quigon.png</md2texture>
+      <model>models/creatures/quigon.md2</model>
+      <md2animation>7</md2animation>
+    </TestEntity>
+     <TestEntity>
+      <abs-coor>-223,-7,-280</abs-coor>
+      <abs-dir>-90,0,0</abs-dir>
+      <md2texture>faerie.png</md2texture>
+      <model>models/creatures/faerie.md2</model>
+      <md2animation>0</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-235,-7,-274</abs-coor>
+      <abs-dir>90,0,0</abs-dir>
+      <md2texture>faerie.png</md2texture>
+      <model>models/creatures/faerie.md2</model>
+      <md2animation>9</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-225,-7,-275</abs-coor>
+      <abs-dir>180,0,0</abs-dir>
+      <md2texture>faerie.png</md2texture>
+      <model>models/creatures/faerie.md2</model>
+      <md2animation>8</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-205,-7,-265</abs-coor>
+      <abs-dir>180,0,0</abs-dir>
+      <md2texture>doom_guy.png</md2texture>
+      <model>models/creatures/doom_guy.md2</model>
+      <md2animation>8</md2animation>
+    </TestEntity>
+    <TestEntity>
+      <abs-coor>-205,-7,-280</abs-coor>
+      <abs-dir>-90,0,0</abs-dir>
+      <md2texture>doom_guy.png</md2texture>
+      <model>models/creatures/doom_guy.md2</model>
+      <md2animation>8</md2animation>
+    </TestEntity>
+
+
+
+    
+
+
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/simplesky</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+
+    <Terrain>
+      <name>HardCore</name>
+      <model>models/environments/christmas.obj</model>
+      <vegetation>models/environments/christmas_vegetation.obj</vegetation>
+      <abs-coor>0,-10,100</abs-coor>
+    </Terrain>
+
+
+   <ParticleSystem>
+     <name>SnowFlakeSystem</name>
+     <type>sprite</type>
+     <texture>snow_flake_01_32x32.png</texture>
+     <max-count>10000</max-count>
+     <life-span>8, 2</life-span>
+     <radius>0.0, 5.0, 10.0</radius>
+     <radius>0.2, 5.0, 10</radius>
+     <radius>1.0, 5.0, 10</radius>
+     <mass>0, 1.0, .3</mass>
+     <color>0,1, 1, 1,.5</color>
+     <color>.5, .6, .6, .6, .2</color>
+     <color>1, .0, .0, .0, .0</color>
+   </ParticleSystem>
+   <ParticleEmitter>
+    <name>SnowFlakeEmitter</name>
+    <emission-direction>0,-1,0</emission-direction>
+    <type>plane</type>
+    <spread>0,.3</spread>
+    <emission-velocity>150,50</emission-velocity>
+    <size>1200</size>
+    <rate>900</rate>
+    <rel-coor>0, 500, -600</rel-coor>
+   </ParticleEmitter>
+  </WorldEntities>
+
+
+  <ParticleEngine>
+   <connect>SnowFlakeEmitter, SnowFlakeSystem</connect>
+  </ParticleEngine>
+
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <Track>
+   <Point>0,50,0</Point>
+   <Point>5000,50,0</Point>
+   <Duration>100</Duration>
+   <SavePoint/>
+ </Track>
+</WorldDataFile>
Index: data/branches/powerups/worlds/environ.mtl
===================================================================
--- data/branches/powerups/worlds/environ.mtl	(revision 3560)
+++ data/branches/powerups/worlds/environ.mtl	(revision 3560)
@@ -0,0 +1,39 @@
+newmtl blinn9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn10SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.76 0.76 0.76
+Tf 1.00 1.00 1.00
+map_Kd strange-metal.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd trompet.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.68 0.68 0.68
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
Index: data/branches/powerups/worlds/newGround.mtl
===================================================================
--- data/branches/powerups/worlds/newGround.mtl	(revision 3560)
+++ data/branches/powerups/worlds/newGround.mtl	(revision 3560)
@@ -0,0 +1,6 @@
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
Index: data/branches/powerups/worlds/vulcania.mtl
===================================================================
--- data/branches/powerups/worlds/vulcania.mtl	(revision 3560)
+++ data/branches/powerups/worlds/vulcania.mtl	(revision 3560)
@@ -0,0 +1,159 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.15 0.15 0.15
+Tf 1.00 1.00 1.00
+map_Kd vulcano.jpg
+Ni 1.00
+Ks 0.63 0.63 0.63
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.36 0.36 0.36
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn10SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.76 0.76 0.76
+Tf 1.00 1.00 1.00
+map_Kd strange-metal.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd trompet.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.68 0.68 0.68
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_ast06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.15 0.15 0.15
+Tf 1.00 1.00 1.00
+map_Kd vulcano.jpg
+Ni 1.00
+Ks 0.63 0.63 0.63
+newmtl pasted__lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__lambert2SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__lambert2SG4
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG4
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
Index: data/branches/powerups/worlds/vulcania.oxw
===================================================================
--- data/branches/powerups/worlds/vulcania.oxw	(revision 3560)
+++ data/branches/powerups/worlds/vulcania.oxw	(revision 3560)
@@ -0,0 +1,140 @@
+<WorldDataFile>
+  <name>NULLWORLD</name>
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screen.jpg</BackgroundImage>
+
+    <ElementCount>12</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screen_bar.png</BarImage>
+  </LoadScreen>
+  <WorldEntities>
+    <Helicopter>
+      <name>Player</name>
+      <abs-coor>50, 100, 50</abs-coor>
+    </Helicopter>
+
+    <SkyBox>
+     <name>Sky</name>
+     <Materialset>pictures/sky/desert</Materialset>
+     <Size>10000</Size>
+    </SkyBox>
+    <Terrain>
+      <name>HardCore</name>
+      <model>worlds/vulcania.obj</model>
+      <vegetation>worlds/vulcania_vegetation.obj</vegetation>
+    </Terrain>
+
+    <ParticleSystem>
+      <name>VulcanStoneSystem</name>
+      <model>models/vulcanic_stone.obj</model>
+      <life-span>6.0,2</life-span>
+      <type>model</type>
+      <radius>0,5,3</radius>
+      <mass>0,.1,0</mass>
+    </ParticleSystem>
+    <ParticleEmitter>
+     <name>VulcanStoneEmitter</name>
+     <emission-velocity>700,400</emission-velocity>
+     <rate>20</rate>
+     <type>cube</type>
+     <size>40</size>;
+     <emission-direction>0,1,0</emission-direction>
+     <rel-coor>2460,105,606</rel-coor>
+     <spread>1,.5</spread>
+    </ParticleEmitter>
+
+    <ParticleSystem>
+     <name>VulcanFogSystem</name>
+     <type>sprite</type>
+     <max-count>2000</max-count>
+     <life-span>5,2</life-span>
+     <radius>0.0,20.0,10.0</radius>
+     <radius>0.2,50,30</radius>
+     <radius>1,200,100</radius>
+     <mass>0,1.0,.3</mass>
+     <color>0,1,1,1,.5</color>
+     <color>.5,.6,.6,.6,.2</color>
+     <color>1,.0,.0,.0,.0</color>
+   </ParticleSystem>
+   <ParticleEmitter>
+    <name>VulcanFogEmitter</name>
+    <emission-direction>0,1,0</emission-direction>
+    <type>cube</type>
+    <spread>.5,.3</spread>
+    <emission-velocity>150,50</emission-velocity>
+    <size>40</size>
+    <rate>400</rate>
+    <rel-coor>2460,105,606</rel-coor>
+   </ParticleEmitter>
+
+    <ParticleSystem>
+     <name>VulcanSparkSystem</name>
+     <type>spark</type>
+     <max-count>5000</max-count>
+     <life-span>5,2</life-span>
+     <radius>0,.2,.1</radius>
+     <radius>1,0,0</radius>
+     <mass>0,1,.05</mass>
+     <color>0,1,0,0,.3</color>
+     <color>.5,1,1,0,.2</color>
+     <color>1,.0,.0,.0,.0</color>
+   </ParticleSystem>
+   <ParticleEmitter>
+    <name>VulcanSparkEmitter</name>
+    <emission-direction>0,1,0</emission-direction>
+    <type>cube</type>
+    <spread>.5,.3</spread>
+    <emission-velocity>150,50</emission-velocity>
+    <size>40</size>
+    <rate>400</rate>
+    <rel-coor>2460,105,606</rel-coor>
+   </ParticleEmitter>
+
+</WorldEntities>
+
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-100,0,100</abs-coor>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-100,2000,50</abs-coor>
+      </Light>
+      <ambient-color>1,1,1</ambient-color>
+    </Lights>
+  </LightManager>
+
+  <ParticleEngine>
+   <connect>VulcanStoneEmitter, VulcanStoneSystem</connect>
+   <connect>VulcanFogEmitter, VulcanFogSystem</connect>
+   <connect>VulcanSparkEmitter, VulcanSparkSystem</connect>
+  </ParticleEngine>
+
+
+  <PhysicsEngine>
+   <Fields>
+    <Gravity>
+     <name>gravity</name>
+     <magnitude>100</magnitude>
+    </Gravity>
+   </Fields>
+   <Connections>
+    <PhysicsConnection>
+     <subject>VulcanStoneSystem</subject>
+     <field>gravity</field>
+    </PhysicsConnection>
+    <PhysicsConnection>
+     <subject>VulcanSparkSystem</subject>
+     <field>gravity</field>
+    </PhysicsConnection>
+   </Connections>
+  </PhysicsEngine>
+
+</WorldDataFile>
Index: data/branches/powerups/worlds/vulcania_vegetation.mtl
===================================================================
--- data/branches/powerups/worlds/vulcania_vegetation.mtl	(revision 3560)
+++ data/branches/powerups/worlds/vulcania_vegetation.mtl	(revision 3560)
@@ -0,0 +1,159 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.15 0.15 0.15
+Tf 1.00 1.00 1.00
+map_Kd vulcano.jpg
+Ni 1.00
+Ks 0.63 0.63 0.63
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.36 0.36 0.36
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn10SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.76 0.76 0.76
+Tf 1.00 1.00 1.00
+map_Kd strange-metal.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:blinn12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd trompet.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl environ3:lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.68 0.68 0.68
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd Metal.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_ast06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.15 0.15 0.15
+Tf 1.00 1.00 1.00
+map_Kd vulcano.jpg
+Ni 1.00
+Ks 0.63 0.63 0.63
+newmtl pasted__lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__lambert2SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__lambert2SG4
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_stamm01.jpg
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
+newmtl pasted__pasted__pasted__lambert3SG4
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd buche_astT06.tga
+Ni 1.00
+Ks 0.30 0.30 0.30
+Ns 0.06
